import { DefineComponent, Plugin } from "vue";

export const DefaultLayout : DefineComponent;
export const DefaultLayoutBurger : DefineComponent;
export const DefaultLayoutHeader : DefineComponent;
export const GuestLayout : DefineComponent;
export const GuestLayoutInput : DefineComponent;

export const pages : { [k: string]: DefineComponent}; 

export const plugin : Plugin;

export type TSidebar = {
    isOpen: boolean;
    show: () => void;
    close: () => void;
    toggle: () => void;
};

export const Index : DefineComponent;
export const Table : DefineComponent;
export const Tr : DefineComponent;
export const Th : DefineComponent;
export const Td : DefineComponent;
export const Wysiwyg : DefineComponent;
export const Card : DefineComponent;
export const Toggle : DefineComponent;
export const Chip : DefineComponent;
export const FileUpload : DefineComponent;
export const ChipInput : DefineComponent;
export const Content : DefineComponent;
export const ContentBody : DefineComponent;
export const ContentSidebar : DefineComponent;
export const ContextMenu : DefineComponent;
export const ContextMenuDivider : DefineComponent;
export const ContextMenuItem : DefineComponent;
export const ContextButton : DefineComponent;
export const Button : DefineComponent;
export const ButtonRound : DefineComponent;
export const DatePicker : DefineComponent;
export const DateRange : DefineComponent;
export const Drawer : DefineComponent;
export const DrawerSection : DefineComponent;
export const InteractionButton : DefineComponent;
export const Tab : DefineComponent;
export const TabPanel : DefineComponent;
export const TabGroup : DefineComponent;
export const TabList : DefineComponent;
export const Badge : DefineComponent;
export const Form : DefineComponent;
export const FormField : DefineComponent;
export const FormFieldLabel : DefineComponent;
export const RadioGroup : DefineComponent;
export const Tree : DefineComponent;
export const TreeItem : DefineComponent;
export const Modal : DefineComponent;
export const Checkbox : DefineComponent;
export const CheckboxSwitch : DefineComponent;
export const Input : DefineComponent;
export const Slider : DefineComponent;
export const Nested : DefineComponent;
export const Search : DefineComponent;
export const Select : DefineComponent;
export const Section : DefineComponent;
export const Sections : DefineComponent;
export const Sidebar : DefineComponent;
export const SidebarLink : DefineComponent;
export const SidebarSection : DefineComponent;
export const SidebarPrimary : DefineComponent;
export const SidebarSecondary : DefineComponent;
export const SidebarSecondaryHeader : DefineComponent;
export const SidebarSecondarySection : DefineComponent;
export const Header : DefineComponent;
export const Pagination : DefineComponent;
export const Textarea : DefineComponent;
export const AuthPages : { [k: string]: DefineComponent };
export const Pages : { [k: string]: DefineComponent };

export const IconDraggable: DefineComponent;
export const IconTrash: DefineComponent;
export const IconMoreHorizontal: DefineComponent;
export const IconEditPencil: DefineComponent;
export const IconCaret: DefineComponent;
export const IconAddImage: DefineComponent;
export const IconBookStack: DefineComponent;
export const IconMediaImageFolder: DefineComponent;
export const IconPlus: DefineComponent;
export const IconLocked: DefineComponent;
export const IconUnlocked: DefineComponent;
export const IconPages: DefineComponent;
export const IconDashboard: DefineComponent;
export const IconList: DefineComponent;
export const IconDuplicatePage: DefineComponent;
export const IconSettings: DefineComponent;
export const IconLogout: DefineComponent;
export const IconPartials: DefineComponent;
export const IconBlocks: DefineComponent;
